TTemplateInputArgument
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TTemplateInputArgument,TTemplateInputArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TTemplateInputArgument

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TTemplateInputArgument

public class TTemplateInputArgument
extends java.lang.Object

Constructor Summary
`protected` | `TTemplateInputArgument(int transId, int arg_pos)`

Method Summary
`protected void` | `addReferencedArgument(TTemplateInputArgument refArg)`
`void` | `breakList()`
`boolean` | `doesReference()`
`java.lang.Object` | `getArgumentValues()`
`Construct` | `getConstruct()`
`java.lang.String` | `getDescription()`
`TTemplateInputArgument[]` | `getReferencedArgumentsAsArray()`
`java.util.Vector` | `getReferencedArgumentsAsVector()`
`protected int` | `getReferencePosition()`
`protected int` | `getRefPos()`
`int` | `getRequiredNumberOfElements()`
`uk.ac.ic.doc.automed.templates.wrapper.TType` | `getType()`
`int` | `getTypeID()`
`int` | `getTypeInstance()`
`boolean` | `isConstraints()`
`boolean` | `isFunction()`
`boolean` | `isList()`
`boolean` | `isName()`
`boolean` | `isObject()`
`boolean` | `isSchema()`
`boolean` | `isSet()`
`boolean` | `isString()`
`int` | `numberOfElements()`
`protected void` | `referenceHasFinalised(int elementNR)`
`protected java.util.Vector` | `setReferencedArguments()`
`protected java.util.Vector` | `setReferencedArguments(java.util.Vector path)`
`void` | `setValue(java.lang.String[] value)`
`java.lang.String` | `toString()`
`void` | `unFinalise()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TTemplateInputArgument

    protected TTemplateInputArgument(int transId,
                                     int arg_pos)
                              throws TemplateDefinitionException

Method Detail

### getReferencedArgumentsAsVector

    public java.util.Vector getReferencedArgumentsAsVector()

### getReferencedArgumentsAsArray

    public TTemplateInputArgument[] getReferencedArgumentsAsArray()

### addReferencedArgument

    protected void addReferencedArgument(TTemplateInputArgument refArg)

### referenceHasFinalised

    protected void referenceHasFinalised(int elementNR)

### unFinalise

    public void unFinalise()

### getRequiredNumberOfElements

    public int getRequiredNumberOfElements()

### breakList

    public void breakList()

### isSet

    public boolean isSet()

### setValue

    public void setValue(java.lang.String[] value)
                  throws TemplateDefinitionException

    `TemplateDefinitionException`

### getDescription

    public java.lang.String getDescription()

### getType

    public uk.ac.ic.doc.automed.templates.wrapper.TType getType()

### getTypeID

    public int getTypeID()

### getRefPos

    protected int getRefPos()

### isList

    public boolean isList()

### numberOfElements

    public int numberOfElements()

### isObject

    public boolean isObject()

### isSchema

    public boolean isSchema()

### isFunction

    public boolean isFunction()

### isConstraints

    public boolean isConstraints()

### isName

    public boolean isName()

### isString

    public boolean isString()

### getConstruct

    public Construct getConstruct()

### getTypeInstance

    public int getTypeInstance()

### getReferencePosition

    protected int getReferencePosition()

### doesReference

    public boolean doesReference()

### getArgumentValues

    public java.lang.Object getArgumentValues()
                                       throws TemplateDefinitionException

    `TemplateDefinitionException`

### setReferencedArguments

    protected java.util.Vector setReferencedArguments()

### setReferencedArguments

    protected java.util.Vector setReferencedArguments(java.util.Vector path)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD